gd_alter_protection(3)

NAME
gd_alter_protection — modify the protection level of a Dirfile fragment

SYNOPSIS
#include <getdata.h>

int gd_alter_protection(DIRFILE *dirfile, int protection_level, int fragment_index);

DESCRIPTION
The function sets the advisory protection level of the format specification fragment given by to in the dirfile(5) database specified by

The argument should be one of the following: Indicating that the fragment should not be protected at all. Indicating that the fragment's metadata should be protected. Indicating that the fragment's binary data should be protected. Indicating that both the fragment's metadata and its binary data should be protected. This symbol is equivalent to the bitwise or of GD_PROTECT_FORMAT and GD_PROTECT_DATA.

In addition to being simply a valid fragment index, may also be the special value GD_ALL_FRAGMENTS, which indicates that the protection level of all fragments in the database should be changed.

RETURN VALUE
Upon successful completion, returns zero. On error, it returns a negative-valued error code. Possible error codes are: The specified dirfile was opened read-only. The supplied was invalid. The supplied dirfile was invalid. The supplied index was out of range. The supplied protection level was invalid.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

NOTES
This is the only GetData function which ignores the (existing) protection level of a format specification fragment.

HISTORY

The function appeared in GetData-0.5.0.

In GetData-0.7.0, this function was renamed to

In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO